Subject: filters for ViewHelpers and templates
Description

You dont always want you HTML escaped. ViewHelpers could have filter attribute to avoid HTML escaping or for using you filter

<f:myviewhelper argument="{blas}" filter="raw" />
<f:myviewhelper argument="{blas}" filter="removeBadWords" />

<f:section filter="raw> </f:section>

<f:filter type="raw">
   portion of code inside my template
<f:filter>

Filters could be pluggables at Package level or framework

History
#1 - 2011-05-29 12:04 - Sebastian Kurfuerst
- Status changed from New to Needs Feedback

if I understand you correctly what you want, that's already possible using the Raw ViewHelper:
http://git.typo3.org/FLOW3/Packages/Fluid.git?a=blob;f=Classes/ViewHelpers/RawViewHelper.php;h=36e310e40c00c53c354110ac260ccb3dcc28f4d
;hb=HEAD
Furthermore, ViewHelper arguments are never escaped.

Greets,
Sebastian

#2 - 2011-05-29 12:20 - Fernando Arconada

Mostly this Twig concept but adapted to Fluid and without nesting in another tag
http://www.twig-project.org/doc/advanced.html

#3 - 2012-03-12 19:04 - Christian Müller
- Status changed from Needs Feedback to Rejected

This kind of settings probably wont be introduced anytime soon as the functionality is already there with the raw viewhelper, so I am closing this ticket
for now.

2015-08-03 1/1

http://git.typo3.org/FLOW3/Packages/Fluid.git?a=blob;f=Classes/ViewHelpers/RawViewHelper.php;h=36e310e40c00c53c354110ac260ccb3dcc28f4d1;hb=HEAD
http://git.typo3.org/FLOW3/Packages/Fluid.git?a=blob;f=Classes/ViewHelpers/RawViewHelper.php;h=36e310e40c00c53c354110ac260ccb3dcc28f4d1;hb=HEAD
http://www.twig-project.org/doc/advanced.html

